> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status

> Read Channel information




## OpenAPI

````yaml /openapi/scx/channel.json get /v1/channel
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel:
    get:
      tags:
        - Channel
      summary: Status
      description: |
        Read Channel information
      operationId: GetChannel
      responses:
        '200':
          $ref: '#/components/responses/ChannelStatus'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  responses:
    ChannelStatus:
      description: Channel status retrieved
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ChannelStatus'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    ChannelStatus:
      description: >-
        Operational status of the channel including whether it is currently
        active and its master data.
      type: object
      properties:
        isActive:
          type: boolean
          example: true
        channel:
          $ref: '#/components/schemas/SalesChannelData'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    SalesChannelData:
      type: object
      allOf:
        - $ref: '#/components/schemas/SalesChannelBase'
      required:
        - channel
        - currency
        - visibility
        - marketplaceList
        - displayName
        - website
        - supportContact
        - vendor
        - signUpUrl
        - isPlatform
      properties:
        channel:
          $ref: '#/components/schemas/Channel'
    SalesChannelBase:
      type: object
      allOf:
        - $ref: '#/components/schemas/ChannelBasedData'
      properties:
        visibility:
          type: string
          description: >
            Sales Channel visibility.


            * **JTL**: Channel provided directly by JTL

            * **THIRDPARTY**: Channel hostet, supported and accounted by a 3rd
            Party vendor

            * **ONBOARDING**: Channel is in on boarding process - these channels
            are only visible to selected user group

            * **RESTRICTED**: Channel can only be shown to select sellers

            * **(Deprecated) PUBLIC**: do not use
          enum:
            - JTL
            - THIRDPARTY
            - ONBOARDING
            - RESTRICTED
          example: JTL
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    ChannelBasedData:
      type: object
      required:
        - marketplaceList
        - displayName
        - website
        - supportContact
        - vendor
        - signUpUrl
        - featureList
      properties:
        group:
          type: string
          example: MyBestDeals
          nullable: true
        currency:
          description: |
            Currency which are supported by the Channel. According to ISO-4217.
          type: string
          example: EUR
        marketplaceList:
          description: >
            Country ISO code or a list of ISO codes which geografic market is
            supported.
          type: array
          items:
            type: string
            example: DE
        supportedLanguages:
          description: >
            Laguage ISO code or a list of ISO codes which languages ars
            supported. According to ISO 639-1.
          type: array
          items:
            type: string
            example: de
        displayName:
          description: |
            Channel Name
          type: string
          example: MyBestDeals.com
        website:
          type: string
          format: uri
          example: https://mybestdeals.de/sell-with-jtl
        pricing:
          type: string
          format: uri
          example: https://mybestdeals.de/sell-with-jtl#pricing
          nullable: true
        channelType:
          type: string
          default: MARKETPLACE
          enum:
            - MARKETPLACE
            - OTHER
        supportContact:
          type: string
          format: email
          example: support@mybestdeals.de
        vendor:
          type: string
          example: JTL-Software
        signUpUrl:
          description: >
            The SignUp URL ist required for register new Sellers with the SCX
            Channel API.

            SCX will create a Sign-Up ID to link a seller with SCX.
          type: string
          example: https://mysqlbestdeals.com/signup-for-scx?session={SESSION}
        updateUrl:
          description: >
            The Update URL ist required for updating a existing Sellers with the
            SCX Channel API. If this URL is

            not set it will use the signUpUrl as a fallback
          type: string
          example: https://mysqlbestdeals.com/signup-for-scx?session={SESSION}
        logo:
          type: string
          description: |
            URL of a Channel logo
          example: https://mysqlbestdeals.com/logo.svg
          nullable: true
        description:
          type: string
          description: |
            Description text of a channel
          example: >-
            MyBestDeals is the marketplace where customers find the best deals
            in the world.
          nullable: true
        appId:
          type: string
          description: >
            AppId of a channel. Wawi use this to create Links to the
            Channel-Documentation
          example: mybestdeals
          nullable: true
        featureList:
          $ref: '#/components/schemas/ChannelFeatureList'
        minimumClientsVersionRequired:
          type: array
          description: >
            Must be a list of supported Clients. If at least one item is defined
            SCX will validate the Client version during sign up process. 

            If the list is empty or null, no client restrictions is in place.
          nullable: true
          items:
            $ref: '#/components/schemas/MinimumClientsVersionRequired'
        isPlatform:
          $ref: '#/components/schemas/IsPlatform'
        platform:
          $ref: '#/components/schemas/Platform'
        marketplaceChannelList:
          $ref: '#/components/schemas/MarketplaceChannelList'
        stockSyncGroup:
          $ref: '#/components/schemas/StockSyncGroup'
    ChannelFeatureList:
      type: object
      properties:
        invoiceDocumentTransfer:
          description: >
            Indicates if Invoice can be shared between Channel and Seller
            Implementation. If this flag is set to

            `from-seller` a connected client implementation (such as JTL-Wawi)
            can upload invoice documents using

            `POST /v1/seller/order/invoice`. When flag is set to `from-channel`
            a connected client can receive invoice from

            a Channel by `Channel:Order.Invoice` Event. A value `not-supported`
            indicates that no invoices can be transmitted

            between Seller and Channel.
          type: string
          enum:
            - not-supported
            - from-channel
            - from-seller
          default: not-supported
        priceUpdatesSupported:
          description: >
            Indicates whether the channel is able to process events of type
            Seller:Offer.PriceUpdate
          type: boolean
          default: false
        quantityPriceSupported:
          description: >
            Does the channel support quantity price for quantity greater than 1.
            In SCX all offer prices are represented by

            a quantity price data structure. In case there is no support for
            quantity prices on a certain channel only

            the price for quantity 1 is taken into account. All other price
            settings may be ignored by the connected

            channel.
          type: boolean
          default: false
        remainingQuanitySupported:
          description: >
            Indicates if a channel is able to support a remaing quanity with
            each Order. The feature can be used

            by a connected client implementation (such as JTL-Wawi) to manage
            quanity updates on an channel.
          type: boolean
          default: false
        variationsSupported:
          description: >
            Does the channel supports listing of variation offers. Variations
            are multiple similar (but not identical)

            items in a offer listing. For example, a single offer could contain
            multiple items of the same brand and

            model that vary by color and size (like "Blue, Large" and "Black,
            Medium"). Each variation can have its own

            quantity and price.
          type: boolean
          default: false
        returnTrackingRequired:
          description: >
            Indicates if a channel requires a return tracking code for an order
            item shipping update.
          type: boolean
          default: false
        allowCombineOrders:
          description: >
            Indicates if a channel allows the combination of multiple separate
            orders into one.
          type: boolean
          default: false
        stockUpdateWithoutEventSupported:
          description: >
            Indicates if a channel will fetch Stock updates per Route without
            need of SellerEventOfferStockUpdate.
          type: boolean
          default: false
    MinimumClientsVersionRequired:
      type: object
      required:
        - type
        - version
      properties:
        type:
          type: string
          example: Wawi
          description: |
            Type of Client. Set to `Wawi` for JTL-Wawi.
        version:
          type: string
          example: 1.11.0.3
          description: |
            Minimum Client Version required for channel selection and sign up.
            Must be a semantic version (e.g., 1.11.0.3).
    IsPlatform:
      description: >
        Defines whether a channel is a platform channel. Is the property is set
        to true the channel is considered as a platform channel.

        The platform property must be null

        - true = Platform Channel

        - false = Marketplace or normal Channel
      type: boolean
      default: false
      example: false
    Platform:
      description: |
        Belonging to a platform.
        If set, it is a marketplace channel.
        If isPlatform = true, this property must not be set.
      type: string
      default: null
      example: AMAZON
    MarketplaceChannelList:
      description: >
        Only set for Platform Channel, and contains all Marketplace Channel
        names that have been assigned to the platform.
      type: array
      default: null
      example:
        - JTL Marketplace FR
        - JTL Marketplace DE
        - JTL Marketplace GB
    StockSyncGroup:
      type: string
      nullable: true
      description: >
        Groups Marketplace Channels for stock synchronization.

        Rules:

        - May ONLY be set when `platform` != null (Marketplace Channel).

        - Must be null when `isPlatform` = true (Platform Channel).

        Semantics:

        - All Channels with the same `stockSyncGroup` expect only ONE stock
        update per SKU
          (ERP sends to exactly one Channel of the group).
      example: AMAZON-EU
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````